<?php

$router->post('/auth', [ApiAuthController::class, 'validateToken']);

$router->get('/categorias', [ApiCategoriaController::class, 'index']);

$router->post('/ocorrencias', [ApiOcorrenciaController::class, 'store']);
$router->get('/ocorrencias', [ApiOcorrenciaController::class, 'showByProtocol']);
$router->get('/ocorrencias/telefone', [ApiOcorrenciaController::class, 'listByPhone']);
$router->post('/ocorrencias/imagem', [ApiOcorrenciaController::class, 'uploadImage']);
$router->post('/ocorrencias/status', [ApiOcorrenciaController::class, 'updateStatus']);

$router->get('/consultar', [ApiConsultaController::class, 'consultar']);
